GIPHY Alt Text for GIFs is now available! Email us to learn more at bd.team@giphy.com.
GIPHY Clips (GIFs with Sound)have arrived! Learn about adding Clips to your app in our documentation!
Need to move your project from Tenor to GIPHY?   Check out our  migration guide!
logo

The Emoji Variations Endpoint

If an emoji's' variation_count is greater than 0, use the Emoji Variations Endpoint to fetch its variations.

Fetch the variations associated with a given emoji using the "id" property of the The GIF Object.

URL
api.giphy.com/v2/emoji/{gif_id}/variations
Request Parameters:Example:Description:
customer_id: stringe826c9fc5c929e0d6c6d423841a282aaAn identifier assigned to a user in your platform. Use it consistently across that user's requests. If you do not have your own user ID, you can use the identifier returned by the Random ID Endpoint.
Successful Response (200 OK)

On the front-end, we reccomend displaying the variations in a tray above the emoji, as is a standard in popular platforms across mobile and web.

Check out the GIPHY Mobile Apps, or the GIPHY SDK, to see how we've chosen to display emoji variations.